-- | The application accepts to add a few new entry types in a DNS zone.
-- | Each resource record has a specific form, with dedicated inputs and
-- | dedicated validation.
module App.Type.AcceptedRRTypes where

import Prelude
import Data.Generic.Rep (class Generic)
import Data.Show.Generic (genericShow)

data AcceptedRRTypes
  = A
  | AAAA
  | TXT
  | CNAME
  | NS
  | MX
  | SRV
  | SPF
  | DKIM

derive instance genericMyADT :: Generic AcceptedRRTypes _

instance showMyADT :: Show AcceptedRRTypes where
  show = genericShow
