module App.Type.DNSZone where

import Data.Codec.Argonaut (JsonCodec)
import Data.Codec.Argonaut as CA
import Data.Codec.Argonaut.Record as CAR
import App.Type.ResourceRecord as RR

type DNSZone
  = { domain        :: String

    -- List of all the zone's resource records.
    , resources     :: Array RR.ResourceRecord

    -- Each resource record has a number, this is the ID to give to a new RR.
    , current_rrid  :: Int
    }

codec :: JsonCodec DNSZone
codec = CA.object "DNSZone"
  (CAR.record
    { domain:        CA.string
    , resources:     CA.array RR.codec
    , current_rrid:  CA.int
    })
