module CSSClasses where

import Prelude (show, ($), (<>))

import Halogen.HTML as HH

margin_left :: Int -> Array HH.ClassName
margin_left size = [HH.ClassName $ "ml-" <> show size]

is :: Int -> Array HH.ClassName
is size = [HH.ClassName $ "is-" <> show size]

is_size :: Int -> Array HH.ClassName
is_size size = [HH.ClassName $ "is-size-" <> show size]

padding_left :: Int -> Array HH.ClassName
padding_left size = [HH.ClassName $ "pl-" <> show size]

box                          = [HH.ClassName "box"]                          :: Array HH.ClassName
breadcrumb                   = [HH.ClassName "breadcrumb"]                   :: Array HH.ClassName
button                       = [HH.ClassName "button"]                       :: Array HH.ClassName
buttons                      = [HH.ClassName "buttons"]                      :: Array HH.ClassName
column                       = [HH.ClassName "column"]                       :: Array HH.ClassName
columns                      = [HH.ClassName "columns"]                      :: Array HH.ClassName
container                    = [HH.ClassName "container"]                    :: Array HH.ClassName
content                      = [HH.ClassName "content"]                      :: Array HH.ClassName
control                      = [HH.ClassName "control"]                      :: Array HH.ClassName
delete                       = [HH.ClassName "delete"]                       :: Array HH.ClassName
field_body                   = [HH.ClassName "field-body"]                   :: Array HH.ClassName
field                        = [HH.ClassName "field"]                        :: Array HH.ClassName
field_label                  = [HH.ClassName "field-label"]                  :: Array HH.ClassName
has_addons                   = [HH.ClassName "has-addons"]                   :: Array HH.ClassName
has_background_danger_dark   = [HH.ClassName "has-background-danger-dark"]   :: Array HH.ClassName
has_background_danger        = [HH.ClassName "has-background-danger"]        :: Array HH.ClassName
has_background_danger_light  = [HH.ClassName "has-background-danger-light"]  :: Array HH.ClassName
has_background_dark          = [HH.ClassName "has-background-dark"]          :: Array HH.ClassName
has_background_info_dark     = [HH.ClassName "has-background-info-dark"]     :: Array HH.ClassName
has_background_info_light    = [HH.ClassName "has-background-info-light"]    :: Array HH.ClassName
has_background_link_dark     = [HH.ClassName "has-background-link-dark"]     :: Array HH.ClassName
has_background_link_light    = [HH.ClassName "has-background-link-light"]    :: Array HH.ClassName
has_background_primary_dark  = [HH.ClassName "has-background-primary-dark"]  :: Array HH.ClassName
has_background_primary_light = [HH.ClassName "has-background-primary-light"] :: Array HH.ClassName
has_background_success_dark  = [HH.ClassName "has-background-success-dark"]  :: Array HH.ClassName
has_background_success_light = [HH.ClassName "has-background-success-light"] :: Array HH.ClassName
has_background_warning_dark  = [HH.ClassName "has-background-warning-dark"]  :: Array HH.ClassName
has_background_warning       = [HH.ClassName "has-background-warning"]       :: Array HH.ClassName
has_background_warning_light = [HH.ClassName "has-background-warning-light"] :: Array HH.ClassName
has_dropdown                 = [HH.ClassName "has-dropdown"]                 :: Array HH.ClassName
has_succeeds_separator       = [HH.ClassName "has-succeeds-separator"]       :: Array HH.ClassName
has_text_centered            = [HH.ClassName "has-text-centered"]            :: Array HH.ClassName
has_text_dark                = [HH.ClassName "has-text-dark"]                :: Array HH.ClassName
has_text_light               = [HH.ClassName "has-text-light"]               :: Array HH.ClassName
help                         = [HH.ClassName "help"]                         :: Array HH.ClassName
hero_body                    = [HH.ClassName "hero-body"]                    :: Array HH.ClassName
hero                         = [HH.ClassName "hero"]                         :: Array HH.ClassName
input                        = [HH.ClassName "input"]                        :: Array HH.ClassName
is4                          = [HH.ClassName "is-4"]                         :: Array HH.ClassName
is5                          = [HH.ClassName "is-5"]                         :: Array HH.ClassName
is_active                    = [HH.ClassName "is-active"]                    :: Array HH.ClassName
is_ancestor                  = [HH.ClassName "is-ancestor"]                  :: Array HH.ClassName
is_boxed                     = [HH.ClassName "is-boxed"]                     :: Array HH.ClassName
is_centered                  = [HH.ClassName "is-centered"]                  :: Array HH.ClassName
is_child                     = [HH.ClassName "is-child"]                     :: Array HH.ClassName
is_danger                    = [HH.ClassName "is-danger"]                    :: Array HH.ClassName
is_dark                      = [HH.ClassName "is-dark"]                      :: Array HH.ClassName
is_horizontal                = [HH.ClassName "is-horizontal"]                :: Array HH.ClassName
is_hoverable                 = [HH.ClassName "is-hoverable"]                 :: Array HH.ClassName
is_info                      = [HH.ClassName "is-info"]                      :: Array HH.ClassName
is_large                     = [HH.ClassName "is-large"]                     :: Array HH.ClassName
is_light                     = [HH.ClassName "is-light"]                     :: Array HH.ClassName
is_medium                    = [HH.ClassName "is-medium"]                    :: Array HH.ClassName
is_normal                    = [HH.ClassName "is-normal"]                    :: Array HH.ClassName
is_parent                    = [HH.ClassName "is-parent"]                    :: Array HH.ClassName
is_primary                   = [HH.ClassName "is-primary"]                   :: Array HH.ClassName
is_selected                  = [HH.ClassName "is-selected"]                  :: Array HH.ClassName
is_small                     = [HH.ClassName "is-small"]                     :: Array HH.ClassName
is_spaced                    = [HH.ClassName "is-spaced"]                    :: Array HH.ClassName
is_static                    = [HH.ClassName "is-static"]                    :: Array HH.ClassName
is_success                   = [HH.ClassName "is-success"]                   :: Array HH.ClassName
is_vertical                  = [HH.ClassName "is-vertical"]                  :: Array HH.ClassName
is_warning                   = [HH.ClassName "is-warning"]                   :: Array HH.ClassName
label                        = [HH.ClassName "label"]                        :: Array HH.ClassName
level                        = [HH.ClassName "level"]                        :: Array HH.ClassName
level_item                   = [HH.ClassName "level-item"]                   :: Array HH.ClassName
level_left                   = [HH.ClassName "level-left"]                   :: Array HH.ClassName
level_right                  = [HH.ClassName "level-right"]                  :: Array HH.ClassName
medium                       = [HH.ClassName "is-medium"]                    :: Array HH.ClassName
message_body                 = [HH.ClassName "message-body"]                 :: Array HH.ClassName
message_header               = [HH.ClassName "message-header"]               :: Array HH.ClassName
message                      = [HH.ClassName "message"]                      :: Array HH.ClassName
modal_background             = [HH.ClassName "modal-background"]             :: Array HH.ClassName
modal_card_body              = [HH.ClassName "modal-card-body"]              :: Array HH.ClassName
modal_card_foot              = [HH.ClassName "modal-card-foot"]              :: Array HH.ClassName
modal_card_head              = [HH.ClassName "modal-card-head"]              :: Array HH.ClassName
modal_card                   = [HH.ClassName "modal-card"]                   :: Array HH.ClassName
modal_card_title             = [HH.ClassName "modal-card-title"]             :: Array HH.ClassName
modal                        = [HH.ClassName "modal"]                        :: Array HH.ClassName
navbar_brand                 = [HH.ClassName "navbar-brand"]                 :: Array HH.ClassName
navbar_burger                = [HH.ClassName "navbar-burger"]                :: Array HH.ClassName
navbar_divider               = [HH.ClassName "navbar-divider"]               :: Array HH.ClassName
navbar_dropdown              = [HH.ClassName "navbar-dropdown"]              :: Array HH.ClassName
navbar_end                   = [HH.ClassName "navbar-end"]                   :: Array HH.ClassName
navbar                       = [HH.ClassName "navbar"]                       :: Array HH.ClassName
navbar_item                  = [HH.ClassName "navbar-item"]                  :: Array HH.ClassName
navbar_link                  = [HH.ClassName "navbar-link"]                  :: Array HH.ClassName
navbar_menu                  = [HH.ClassName "navbar-menu"]                  :: Array HH.ClassName
navbar_start                 = [HH.ClassName "navbar-start"]                 :: Array HH.ClassName
no_margin_bottom             = [HH.ClassName "mb-0"]                         :: Array HH.ClassName
no_padding_bottom            = [HH.ClassName "pb-0"]                         :: Array HH.ClassName
no_padding_left              = [HH.ClassName "pl-0"]                         :: Array HH.ClassName
no_padding_top               = [HH.ClassName "pt-0"]                         :: Array HH.ClassName
normal                       = [HH.ClassName "is-normal"]                    :: Array HH.ClassName
notification                 = [HH.ClassName "notification"]                 :: Array HH.ClassName
section                      = [HH.ClassName "section"]                      :: Array HH.ClassName
select                       = [HH.ClassName "select"]                       :: Array HH.ClassName
subtitle                     = [HH.ClassName "subtitle"]                     :: Array HH.ClassName
table                        = [HH.ClassName "table"]                        :: Array HH.ClassName
tabs                         = [HH.ClassName "tabs"]                         :: Array HH.ClassName
tag                          = [HH.ClassName "tag"]                          :: Array HH.ClassName
tags                         = [HH.ClassName "tags"]                         :: Array HH.ClassName
textarea                     = [HH.ClassName "textarea"]                     :: Array HH.ClassName
tile                         = [HH.ClassName "tile"]                         :: Array HH.ClassName
title                        = [HH.ClassName "title"]                        :: Array HH.ClassName
